# Class CIM_QoSService
extends CIM_Service

This is a concrete class that represents the ability to conceptualize a QoS service as a set of coordinated sub-services. This enables the network administrator to map business rules to the network, and the network designer to engineer the network such that it can provide different functions for different traffic streams. This class has two main purposes. First, it serves as a common base class for defining various sub-services that are needed to build higher-level QoS services. Second, it serves as a way to consolidate relationships between different types of QoS services and different types of ConditioningServices. For example, Gold Service may be defined as a QoSService which aggregates two other QoSServices together. Each of these 'other' QoSServices could be DiffServServices - one representing the servicing of very high demand packets (instantiated as a DiffServService directly), and one representing the service given to most of the packets (instantiated as an AFService). The high demand DiffServService instance would use QoSConditioning SubService to aggregate together the necessary classifiers to indicate which traffic it applies to, the appropriate meters for contract limits, the marker to mark the EF PHB in the packets, and the queuing-related services. The AFService instance would similarly use QoSConditioning SubService to aggregate its classifiers, meters, the several markers used to mark the different AF PHBs in the packets, and the queuing-related services needed to deliver the packet treatment.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_QoSService

## Direct Known Subclasses

CIM_DiffServService
CIM_FlowService
CIM_Hdr8021PService
CIM_PrecedenceService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This is a concrete class that represents the ability to conceptualize a QoS service as a set of coordinated sub-services. This enables the network administrator to map business rules to the network, and the network designer to engineer the network such that it can provide different functions for different traffic streams. This class has two main purposes. First, it serves as a common base class for defining various sub-services that are needed to build higher-level QoS services. Second, it serves as a way to consolidate relationships between different types of QoS services and different types of ConditioningServices. For example, Gold Service may be defined as a QoSService which aggregates two other QoSServices together. Each of these 'other' QoSServices could be DiffServServices - one representing the servicing of very high demand packets (instantiated as a DiffServService directly), and one representing the service given to most of the packets (instantiated as an AFService). The high demand DiffServService instance would use QoSConditioning SubService to aggregate together the necessary classifiers to indicate which traffic it applies to, the appropriate meters for contract limits, the marker to mark the EF PHB in the packets, and the queuing-related services. The AFService instance would similarly use QoSConditioning SubService to aggregate its classifiers, meters, the several markers used to mark the different AF PHBs in the packets, and the queuing-related services needed to deliver the packet treatment.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service